public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Lars Wendler" <polynomial-c@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-power/upower/
Date: Fri, 28 Dec 2018 17:44:34 +0000 (UTC)	[thread overview]
Message-ID: <1546019067.4c88cf66e05e9e9b185fcb9c7d3e6e39be12a6c2.polynomial-c@gentoo> (raw)

commit:     4c88cf66e05e9e9b185fcb9c7d3e6e39be12a6c2
Author:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Fri Dec 28 17:44:27 2018 +0000
Commit:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Fri Dec 28 17:44:27 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4c88cf66

sys-power/upower: Bump to version 0.99.9

Package-Manager: Portage-2.3.53, Repoman-2.3.12
Signed-off-by: Lars Wendler <polynomial-c <AT> gentoo.org>

 sys-power/upower/Manifest             |  1 +
 sys-power/upower/upower-0.99.9.ebuild | 91 +++++++++++++++++++++++++++++++++++
 2 files changed, 92 insertions(+)

diff --git a/sys-power/upower/Manifest b/sys-power/upower/Manifest
index ddb098c2a2d..cc2e9525678 100644
--- a/sys-power/upower/Manifest
+++ b/sys-power/upower/Manifest
@@ -1 +1,2 @@
 DIST upower-0.99.8.tar.xz 448664 BLAKE2B e101e7d1b2aede77c1ed2da1fd23b87a95ccac8d901bd8d1f8bebcd5de7052a66f1840cf578a48453538e166aae56ef4bc6d3a2b85f7ba148ecac5cc0a486809 SHA512 dfd2960cae382195dfc7a703a02af298d9de55bc626cde2a1f97e7983842191ba9d99eb2044190214e792539e7d6c9d8e00b5aed17e5e86b04544e9ab90278b1
+DIST upower-0.99.9.tar.xz 448408 BLAKE2B 5fa2436f33c94cffb736d8e3fad433acf58954cf06ccd403a0361214be5afc45d79ea279f3c5c48dcd58b92ccaf995777c95987d1749fd8c8c8958317e439570 SHA512 45eb587b0e5ffcce88bad8c56bc5efa30559748913016a55d58313280f5159378e5fbb4a9842c3a6409257bb97822d235f96b03704268b8471455c93eb05fe2f

diff --git a/sys-power/upower/upower-0.99.9.ebuild b/sys-power/upower/upower-0.99.9.ebuild
new file mode 100644
index 00000000000..8219ae1eaea
--- /dev/null
+++ b/sys-power/upower/upower-0.99.9.ebuild
@@ -0,0 +1,91 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+inherit systemd xdg-utils
+
+DESCRIPTION="D-Bus abstraction for enumerating power devices, querying history and statistics"
+HOMEPAGE="https://upower.freedesktop.org/"
+
+# No tarball released, use the same commit as Fedora
+#SRC_URI="https://${PN}.freedesktop.org/releases/${P}.tar.xz"
+COMMIT="2282c7c0e53fb31816b824c9d1f547e8"
+SRC_URI="https://gitlab.freedesktop.org/upower/upower/uploads/${COMMIT}/${P}.tar.xz"
+
+LICENSE="GPL-2"
+SLOT="0/3" # based on SONAME of libupower-glib.so
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd"
+
+# gtk-doc files are not available as prebuilt in the tarball
+IUSE="doc +introspection ios kernel_FreeBSD kernel_linux selinux"
+
+COMMON_DEPS="
+	>=dev-libs/dbus-glib-0.100
+	>=dev-libs/glib-2.34:2
+	sys-apps/dbus:=
+	introspection? ( dev-libs/gobject-introspection:= )
+	kernel_linux? (
+		virtual/libusb:1
+		virtual/libgudev:=
+		virtual/udev
+		ios? (
+			>=app-pda/libimobiledevice-1:=
+			>=app-pda/libplist-1:=
+			)
+		)
+"
+RDEPEND="
+	${COMMON_DEPS}
+	selinux? ( sec-policy/selinux-devicekit )
+"
+DEPEND="${COMMON_DEPS}
+	doc? ( dev-util/gtk-doc )
+	dev-libs/libxslt
+	app-text/docbook-xsl-stylesheets
+	dev-util/intltool
+	>=sys-devel/gettext-0.17
+	virtual/pkgconfig
+"
+
+QA_MULTILIB_PATHS="usr/lib/${PN}/.*"
+
+DOCS=( AUTHORS HACKING NEWS README )
+
+src_prepare() {
+	default
+	xdg_environment_reset
+	sed -i -e '/DISABLE_DEPRECATED/d' configure || die
+}
+
+src_configure() {
+	local backend
+
+	if use kernel_linux ; then
+		backend=linux
+	elif use kernel_FreeBSD ; then
+		backend=freebsd
+	else
+		backend=dummy
+	fi
+
+	local myeconfargs=(
+		--disable-static
+		--disable-tests
+		--enable-man-pages
+		--libexecdir="${EPREFIX}"/usr/lib/${PN}
+		--localstatedir="${EPREFIX}"/var
+		--with-backend=${backend}
+		--with-systemdsystemunitdir="$(systemd_get_systemunitdir)"
+		--with-systemdutildir="$(systemd_get_utildir)"
+		$(use_enable doc gtk-doc)
+		$(use_enable introspection)
+		$(use_with ios idevice)
+	)
+	econf "${myeconfargs[@]}"
+}
+
+src_install() {
+	default
+	find "${ED}" -name '*.la' -delete || die
+	keepdir /var/lib/upower #383091
+}


             reply	other threads:[~2018-12-28 17:44 UTC|newest]

Thread overview: 104+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2018-12-28 17:44 Lars Wendler [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-02-18 20:50 [gentoo-commits] repo/gentoo:master commit in: sys-power/upower/ Ulrich Müller
2024-07-16 15:15 Mike Gilbert
2024-07-16 15:15 Mike Gilbert
2024-07-04 15:39 Mike Gilbert
2024-07-03 14:16 Mike Gilbert
2024-05-29 12:15 Sam James
2024-05-28 22:28 Ionen Wolkens
2024-05-28 17:08 Sam James
2024-05-28 17:08 Sam James
2024-05-28 17:03 Sam James
2024-05-15 19:58 Andreas Sturmlechner
2024-03-21 17:00 Arthur Zamarin
2024-01-29 20:05 Mike Gilbert
2023-10-20 13:14 Pacho Ramos
2023-10-20 13:14 Pacho Ramos
2022-08-21  3:46 Arthur Zamarin
2022-08-21  3:46 Arthur Zamarin
2022-08-21  1:25 Sam James
2022-08-20 23:03 Sam James
2022-08-20 23:03 Sam James
2022-08-20 23:03 Sam James
2022-08-20 23:03 Sam James
2022-07-19  3:25 Matt Turner
2022-06-08 17:49 Matt Turner
2022-05-30 15:34 Matt Turner
2022-05-06  8:07 Jakov Smolić
2022-05-03 19:12 Arthur Zamarin
2022-05-03 18:50 Arthur Zamarin
2022-05-03 18:48 Arthur Zamarin
2022-05-03 18:01 Arthur Zamarin
2022-05-01 12:20 Jakov Smolić
2022-04-29  8:53 Sam James
2022-03-27  3:26 Matt Turner
2022-03-20 19:54 Matt Turner
2022-01-04 10:30 David Seifert
2022-01-04  3:29 Sam James
2021-11-28 12:04 Andreas Sturmlechner
2021-11-23 19:59 Arthur Zamarin
2021-10-12  0:10 Sam James
2021-10-02 22:50 Sam James
2021-09-13 16:03 Sam James
2021-09-09  7:39 Agostino Sarubbo
2021-09-08  6:56 Agostino Sarubbo
2021-09-08  6:55 Agostino Sarubbo
2021-07-26 18:13 Andreas Sturmlechner
2021-07-26 18:13 Andreas Sturmlechner
2021-05-29  0:03 Yixun Lan
2020-12-28 17:35 Mike Gilbert
2020-04-21 10:13 Mart Raudsepp
2020-04-20  9:50 Agostino Sarubbo
2020-04-20  9:48 Agostino Sarubbo
2020-04-20  9:46 Agostino Sarubbo
2020-04-19 23:55 Sergei Trofimovich
2020-04-19 18:23 Agostino Sarubbo
2020-04-19 17:08 Agostino Sarubbo
2019-10-06 22:22 Michał Górny
2019-10-03  0:22 Lars Wendler
2019-05-23  3:27 Aaron Bauman
2019-05-03 20:30 Sergei Trofimovich
2019-05-03  8:44 Pacho Ramos
2019-05-02 20:58 Mikle Kolyada
2019-04-02  1:37 Thomas Deutschmann
2019-03-30 19:05 Mikle Kolyada
2019-03-25  9:35 Mikle Kolyada
2019-03-24 20:25 Sergei Trofimovich
2019-03-24 20:12 Sergei Trofimovich
2019-03-24 19:44 Sergei Trofimovich
2018-12-28 17:36 Lars Wendler
2018-10-18 11:45 Tobias Klausmann
2018-10-17 10:51 Mikle Kolyada
2018-10-14 22:33 Sergei Trofimovich
2018-10-14  9:14 Sergei Trofimovich
2018-10-14  8:59 Sergei Trofimovich
2018-10-14  7:48 Mikle Kolyada
2018-10-14  1:44 Thomas Deutschmann
2018-10-13  9:06 Pacho Ramos
2018-10-12  7:32 Tobias Klausmann
2018-10-07 22:04 Matt Turner
2018-10-07 22:04 Matt Turner
2018-10-01  0:07 Thomas Deutschmann
2018-09-30 21:38 Sergei Trofimovich
2018-09-29  8:01 Sergei Trofimovich
2018-09-28  9:25 Mikle Kolyada
2018-09-23 14:33 Pacho Ramos
2018-03-25 21:33 Gilles Dartiguelongue
2018-03-05 20:26 Sergei Trofimovich
2017-11-28 15:59 Manuel Rüger
2017-10-29 22:08 Thomas Deutschmann
2017-10-28 14:48 Manuel Rüger
2017-10-04  8:13 Sergei Trofimovich
2017-09-19 19:46 Markus Meier
2017-09-15 15:38 Tobias Klausmann
2017-09-14 19:54 Lars Wendler
2017-09-10 20:46 Sergei Trofimovich
2017-09-09 11:53 Sergei Trofimovich
2017-07-26  9:51 Lars Wendler
2017-06-18  9:30 Pacho Ramos
2017-06-18  9:30 Pacho Ramos
2017-06-18  9:30 Pacho Ramos
2016-05-31 10:26 Tobias Klausmann
2016-04-22 19:59 Markus Meier
2016-03-20 23:09 Stephen Klimaszewski
2016-02-18 21:36 Manuel Rüger

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1546019067.4c88cf66e05e9e9b185fcb9c7d3e6e39be12a6c2.polynomial-c@gentoo \
    --to=polynomial-c@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox